.env:child:prod:
  rules:
    - if: '$ENV_CLEANUP'
      when: never
    - if: '$ENV_PROD'
      when: on_success
    - when: never

.env:child:staging:
  rules:
    - if: '$ENV_CLEANUP'
      when: never
    - if: '$ENV_STAGING'
      when: on_success
    - when: never

.env:child:review:
  rules:
    - if: '$ENV_CLEANUP'
      when: never
    - if: '$ENV_REVIEW'
      when: on_success
    - when: never

.env:child:shared:dev:
  rules:
    - if: '$ENV_CLEANUP'
      when: never
    - if: '$ENV_SHARED_DEV'
      when: on_success
    - when: never

.env:child:shared:review:
  rules:
    - if: '$ENV_CLEANUP'
      when: never
    - if: '$ENV_SHARED_REVIEW'
      when: on_success
    - when: never

## destroy rules

.env:child:no-destroy:
  rules:
    - when: never

.env:child:review:allow-destroy:
  rules:
    - if: '$ENV_CLEANUP'
      when: on_success
    - if: '$ENV_REVIEW && ($ENV_CLEANUP == null || $ENV_CLEANUP == "")'
      when: manual
      allow_failure: true
    - when: never
